QGIS Application - Feature request #12265
Complete tests for QgsMapToolZoom
2015-02-25 03:59 AM - Sandro Santill

Status: Closed

Priority: Normal

Assignee:

Category: Tests Suite

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 20450
Description

The class behavior is not fully tested. A single test for a very specific case is available a the time of writing in
https://github.com/qgis/QGIS/blob/master/tests/src/gui/testqgsmaptoolzoom.cpp

Absence of tests result in an higher risk of regressions being introduced, as happened in 2.8 (#12242)

History

#1 - 2015-05-08 08:17 AM - Sandro Santilli
- Tracker changed from Bug report to Feature request

#2 - 2015-05-08 08:18 AM - Sandro Santilli

- Target version changed from Version 2.8.1 to Future Release - Nice to have

#3 - 2016-05-30 06:34 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Open to Closed

While I'd also like to see more tests here, | don't think this warrants a bug report. Otherwise we'd be opening these for 100's of classes across the

codebase.
